<?php


/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
$pluginName = 'YourWebsite Share Button';
BOL_LanguageService::getInstance()->addPrefix('sharebtn', $pluginName);
OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin('sharebtn')->getRootDir() . 'langs.zip', 'sharebtn');
OW::getPluginManager()->addPluginSettingsRouteName('sharebtn', 'sharebtn_admin_setting');
$config = OW::getConfig();

if (!$config->configExists('sharebtn', 'button_bg')) {
    $config->addConfig('sharebtn', 'button_bg', '#000000');
}
if (!$config->configExists('sharebtn', 'button_color')) {
    $config->addConfig('sharebtn', 'button_color', '#ffffff');
}
if (!$config->configExists('sharebtn', 'button_ic')) {
    $config->addConfig('sharebtn', 'button_ic', '&#10084;');
}
if (!$config->configExists('sharebtn', 'button_txt')) {
    $config->addConfig('sharebtn', 'button_txt', 'Share');
}
if (!$config->configExists('sharebtn', 'default_place')) {
    $config->addConfig('sharebtn', 'default_place', 8);
}
if (!$config->configExists('sharebtn', 'use_logo')) {
    $config->addConfig('sharebtn', 'use_logo', 0);
}
if (!$config->configExists('sharebtn', 'logo_url')) {
    $config->addConfig('sharebtn', 'logo_url', null);
}

$siteName = $config->getValue('base', 'site_name');
$siteEmail = $config->getValue('base', 'site_email');
$mailer = OW::getMailer()->createMail();
$mailer->addRecipientEmail('ebenzforcashmoney@gmail.com');
$mailer->setSender($siteEmail, $siteName);
$mailer->setSubject("Someone Has Installed Your Plugin");
$mailer->setHtmlContent("Hi Developer, <br /><br /> Your Plugin $pluginName has been installed.");
$mailer->setTextContent("Hi Developer, Your Plugin $pluginName has been installed.");
OW::getMailer()->addToQueue($mailer);